#include <gnome.h>
#include "bmud.h"

void do_about(){
	gchar *authors[] = {"Erik Greenwald",NULL};
	GtkWidget *about=gnome_about_new(
		"BMUD","Version 0.1","GPL 1998",authors,
		"Br0kEs mud client","/usr/local/share/pixmaps/");
	gtk_widget_show(about);
	return;
	}

void do_gnome_menu(struct bmud *mud){
	GnomeUIInfo filemenu[]={
		{GNOME_APP_UI_ITEM,N_("Connect"), N_("Connect to a mud"),NULL, NULL, NULL, GNOME_APP_PIXMAP_STOCK,GNOME_STOCK_MENU_NEW,0, 0, NULL},
		{GNOME_APP_UI_ITEM,N_("Disconnect"), N_("Disconnect from a mud"),NULL, NULL, NULL, GNOME_APP_PIXMAP_STOCK,GNOME_STOCK_MENU_CLOSE,0, 0, NULL},
		GNOMEUIINFO_SEPARATOR,
		{GNOME_APP_UI_ITEM,N_("Quit"), N_("Quit bmud"),gtk_main_quit, NULL, NULL, GNOME_APP_PIXMAP_STOCK, GNOME_STOCK_MENU_QUIT,0, 0, NULL},
		GNOMEUIINFO_END
		};

	GnomeUIInfo helpmenu[]={
		{GNOME_APP_UI_ITEM,N_("About"),N_(""),do_about,NULL,NULL,
		GNOME_APP_PIXMAP_STOCK, GNOME_STOCK_MENU_ABOUT, 0,0,NULL},
		GNOMEUIINFO_END
		};
	                                                

	GnomeUIInfo mainmenu[] = {
		GNOMEUIINFO_SUBTREE(N_("File"), filemenu),
		GNOMEUIINFO_SUBTREE(N_("Help"), helpmenu),
		GNOMEUIINFO_END
		};

	gnome_app_create_menus((GnomeApp*)mud->window, mainmenu);
	return;
	}


GtkWidget *spawn_gui(struct bmud *mud){
	GtkWidget *hbox, *vbox;
	
	vbox=gtk_vbox_new(FALSE,0);
	hbox=gtk_hbox_new(FALSE,0);

        gtk_signal_connect (GTK_OBJECT (mud->window), "delete_event", GTK_SIGNAL_FUNC (gtk_main_quit), NULL);
        gtk_signal_connect (GTK_OBJECT (mud->window), "destroy", GTK_SIGNAL_FUNC (gtk_main_quit), NULL);

	do_gnome_menu(mud);

	mud->text=gtk_text_new(0,0);
	gtk_widget_show(mud->text);
	gtk_box_pack_start(GTK_BOX(vbox),mud->text,TRUE,TRUE,0);

	mud->stat=gtk_entry_new();
	gtk_widget_show(mud->stat);
	gtk_box_pack_start(GTK_BOX(hbox),mud->stat,FALSE,TRUE,0);
	
	mud->ent=gtk_entry_new();
	gtk_widget_show(mud->ent);
	gtk_box_pack_start(GTK_BOX(hbox),mud->ent,TRUE,TRUE,0);

	gtk_widget_show(hbox);
	gtk_box_pack_start(GTK_BOX(vbox),hbox,FALSE,TRUE,0);

//	gtk_container_add(GTK_CONTAINER(mud->window),vbox);
	gnome_app_set_contents (GNOME_APP(mud->window),vbox);
	
	return mud->window;
	}
